{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "email/_layout.html.twig" %}
{% trans_default_domain 'emails' %}

{% block body %}
    <h4 style="font-weight:300;font-size:18px;margin:5px 0;text-align:center">
        Rapport du module Qualité de DATAtourisme
    </h4>

    <p style="font-weight:600;font-size:14px;margin:5px 0;text-align:center">
        <span class="fa fa-bell-o"></span>
        Alerte sur l'évolution quotidienne des anomalies
    </p>

    <table style="font-weight:300;margin-bottom:30px;width:100%;border-collapse:collapse;table-layout:fixed">
        <tbody>
            {% for anomalyType, data in report %}
                {% if data.threshold and data.threshold <= data.evolution %}
                    <tr>
                        <td style="font-size:18px;margin:0;padding:8px 0">
                            <div style="font-weight:300;font-size:18px;padding-top:15px;">
                                {{ types[anomalyType] }}
                            </div>
                        </td>
                        <td style="font-weight:300;font-size:14px;margin:0;padding:8px 0">
                            <div style="font-weight:300;font-size:35px;margin-top:2px;margin-bottom:2px">
                                <sub style="font-size:50px;color:#838383">^</sub>
                                <span style="font-weight:600;color:#af1010">{{ data.evolution }}%</span>
                            </div>
                            <div style="color:#232323">
                                {{ data.day|number_format(0, ',', ' ') }} POI concernés
                            </div>
                            <small style="color:#454545">
                                évolution par rapport à la veille, dépassant le seuil défini à {{ data.threshold}}%
                            </small>
                        </td>
                    </tr>
                {% endif %}
            {% endfor %}
        </tbody>
    </table>

    <table border="0" cellpadding="0" cellspacing="0" class="btn btn-primary">
        <tbody>
        <tr>
            <td align="left">
                <table border="0" cellpadding="0" cellspacing="0">
                    <tbody>
                    <tr>
                        <td> <a href="{{ url('monitor.index') }}" target="_blank">
                                {{- "btn.see_on_platform" | trans -}}
                            </a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </td>
        </tr>
        </tbody>
    </table>

    <p>{{ "text.signature" | trans }}</p>

{% endblock %}
